Get agent policy
curl --request GET \
--url https://api.instacloud.com/projects/{projectId}/agent-policy \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instacloud.com/projects/{projectId}/agent-policy"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instacloud.com/projects/{projectId}/agent-policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"policy": {
"mode": "full_access",
"protectedBranchIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"rules": {},
"branchDeveloperRules": {},
"updatedBy": "<string>",
"updatedAt": "<string>"
},
"agentSessionEpoch": 123,
"actions": [
"<string>"
],
"actionCatalog": [
{
"action": "<string>",
"group": "<string>",
"groupLabel": "<string>",
"label": "<string>",
"hint": "<string>",
"editable": true,
"fixedDecision": "allow"
}
],
"defaultRules": {
"project": {},
"unprotectedBranch": {},
"protectedBranch": {}
},
"effectiveRules": {
"project": {},
"unprotectedBranch": {},
"protectedBranch": {}
},
"bootstrapRules": {
"project.create": "allow"
},
"ruleNotes": [
"<string>"
]
}Governance
Get agent policy
Token scope: account · org · project — read-only tokens allowed.
GET
/
projects
/
{projectId}
/
agent-policy
Get agent policy
Authorizations
Session access JWT or an API token (insta_<prefix>_<secret>).
Path Parameters
Response
200 - application/json
Default Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes